## lomiri-calculator-app 3.3.7~git20221006.7c58668

=== debian/changelog ===
lomiri-calculator-app (3.3.7~git20221006.7c58668-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021413).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Oct 2022 00:30:11 +0200

## lomiri-calculator-app 3.3.7~git20230107.e1a61e6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(lomiri-calculator-app)

include(FindGettext)
if(NOT GETTEXT_FOUND)
  message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Tells QtCreator location and name of the manifest file")

find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
# Find_package(ubuntu-sdk-libs)

#automatically create moc files
set(CMAKE_AUTOMOC ON)


option(INSTALL_TESTS "Install the tests on make install" on)
option(CLICK_MODE "Installs to a contained location" on)

include(GNUInstallDirs)

set(APP_NAME                        Calculator)
set(APP_HARDCODE                    lomiri-calculator-app)
set(AUTOPILOT_DIR                   lomiri_calculator_app)
set(MAIN_QML                        ${APP_HARDCODE}.qml)
set(ICON_FILE                       "${APP_HARDCODE}.svg")
set(SPLASH_FILE                     "${APP_HARDCODE}-splash.svg")
set(DESKTOP_FILE                    "${APP_HARDCODE}.desktop")
set(APP_VERSION                     3.3.7)
set(AUTOPILOT_DIR                   lomiri_calculator_app)

if(CLICK_MODE)
  set(CMAKE_INSTALL_PREFIX "/")
  set(LOMIRI-CALCULATOR-APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")

  set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
  set(EXEC "qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
  if(NOT BZR_REVNO)
    execute_process(
      COMMAND bzr revno
              OUTPUT_VARIABLE BZR_REVNO
              WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
              OUTPUT_STRIP_TRAILING_WHITESPACE
    )
  endif(NOT BZR_REVNO)
  if(NOT BZR_SOURCE)
    set(BZR_SOURCE lp:${APP_HARDCODE})
    message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
  endif(NOT BZR_SOURCE)
else(CLICK_MODE)
  set(LOMIRI-CALCULATOR-APP_DIR "${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE}")
  execute_process(
    COMMAND qmake -query QT_INSTALL_QML
            OUTPUT_VARIABLE QT_IMPORTS_DIR
            OUTPUT_STRIP_TRAILING_WHITESPACE
  )
endif(CLICK_MODE)

if(CLICK_MODE)
  message("-- Configuring manifest.json")

  execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_ARCH
            OUTPUT_VARIABLE CLICK_ARCH
            OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
  set(ICON ${ICON_FILE})
  set(SPLASH ${SPLASH_FILE})
else(CLICK_MODE)
  set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
  set(EXEC ${APP_HARDCODE})
  configure_file(app/${APP_HARDCODE}.in
    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
    DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(CLICK_MODE)

install(FILES app/${ICON_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/graphics)
install(FILES app/${SPLASH_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/graphics)

configure_file(app/${DESKTOP_FILE}.in.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
  COMMENT "Merging translations into ${DESKTOP_FILE}"
  COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
          --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
          -o ${DESKTOP_FILE}
          -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

# Tests
enable_testing()

add_subdirectory(app)
add_subdirectory(tests)
add_subdirectory(po)

=== debian/changelog ===
lomiri-calculator-app (3.3.7~git20230107.e1a61e6-1) unstable; urgency=medium

  * New git snapshot (3.3.7~git20230107.e1a61e6)

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 20:01:10 +0100

=== debian/control ===
Source: lomiri-calculator-app
Priority: optional
Section: misc
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               python3,
               python3-distutils,
               qtbase5-dev,
               qtdeclarative5-dev,
               npm
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calculator-app

Package: lomiri-calculator-app
Architecture: all
Depends: qmlscene,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-qtquick-controls2-suru,
         ${misc:Depends}
Description: Calculator App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also support convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Calulcator App.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=3.3.7~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-calculator-app \
HEAD debian uupdate

## lomiri-calculator-app 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 2.8.9)
-project(lomiri-calculator-app)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-calculator-app VERSION 4.0.0)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -11,7 +11,6 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
-# Find_package(ubuntu-sdk-libs)
 
 #automatically create moc files
 set(CMAKE_AUTOMOC ON)
@@ -29,7 +28,6 @@
 set(ICON_FILE                       "${APP_HARDCODE}.svg")
 set(SPLASH_FILE                     "${APP_HARDCODE}-splash.svg")
 set(DESKTOP_FILE                    "${APP_HARDCODE}.desktop")
-set(APP_VERSION                     3.3.7)
 set(AUTOPILOT_DIR                   lomiri_calculator_app)
 
 if(CLICK_MODE)

=== debian/changelog ===
lomiri-calculator-app (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Fix typo in LONG_DESCRIPTION.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 21:59:28 +0100

## lomiri-calculator-app 4.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calculator-app VERSION 4.0.0)
+project(lomiri-calculator-app VERSION 4.0.1)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== app/CMakeLists.txt ===
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  file(GLOB QML_JS_FILES *.qml *.js)
  add_custom_target(lomiri-calculator-app_QMlFiles ALL SOURCES ${QML_JS_FILES})
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

if(CLICK_MODE)
  install(FILES ${ICON_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${SPLASH_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
else (CLICK_MODE)
  install(FILES ${ICON_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
  install(FILES ${SPLASH_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
endif(CLICK_MODE)
install(FILES ${MAIN_QML} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})

add_subdirectory(engine)
add_subdirectory(ui)
add_subdirectory(upstreamcomponents)

=== po/CMakeLists.txt ===
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

# Creates the .pot file containing the translations template
add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  # Extract the translatable messages from the desktop file
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --language=Desktop
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_BINARY_DIR}
          ${DESKTOP_FILE}.in
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --c++ --qt --add-comments=TRANSLATORS
          --keyword=tr --keyword=tr:1,2 --keyword=N_
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_SOURCE_DIR}
          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})


# make the translation files visible on qtcreator
file(GLOB TRANSLATION_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.po *.pot)

add_custom_target(lomiri_calculator_translation_files ALL SOURCES ${TRANSLATION_FILES})

=== app/ui/CMakeLists.txt ===
file(GLOB UI_QML_JS_FILES *.qml *.js)

# Make the files visible in the qtcreator tree
add_custom_target(lomiri-calculator-app_ui_QMlFiles ALL SOURCES ${UI_QML_JS_FILES})

install(FILES ${UI_QML_JS_FILES} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/ui)

=== tests/autopilot/CMakeLists.txt ===
if(INSTALL_TESTS)
  execute_process(
    COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
      OUTPUT_VARIABLE PYTHON_PACKAGE_DIR
      OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  install(
    DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
  )
endif(INSTALL_TESTS)

=== debian/changelog ===
lomiri-calculator-app (4.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 15:00:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                npm
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git
@@ -29,7 +29,7 @@
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
  environment optimized for touch based human-machine interaction, but
- also support convergence (i.e. switching between tablet/phone and
+ also supports convergence (i.e. switching between tablet/phone and
  desktop mode).
  .
  This package provides Lomiri's Calulcator App.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_install:
	dh_install

	# drop autopilot test files
	rm debian/lomiri-calculator-app/usr/lib/ -Rfv

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-calculator-app/tags .*/lomiri-calculator-app-v(\d\S+)\.tar\.gz

## lomiri-calculator-app 4.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calculator-app VERSION 4.0.1)
+project(lomiri-calculator-app VERSION 4.0.2)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -35,7 +35,7 @@
   set(LOMIRI-CALCULATOR-APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")
 
   set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(EXEC "qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
+  set(EXEC "lomiri-calculator-app-migrate.py qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
   if(NOT BZR_REVNO)
     execute_process(
       COMMAND bzr revno
@@ -69,12 +69,14 @@
   configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
   install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
+  install(PROGRAMS app/lomiri-calculator-app-migrate.py DESTINATION ${CMAKE_INSTALL_PREFIX})
   set(ICON ${ICON_FILE})
   set(SPLASH ${SPLASH_FILE})
 else(CLICK_MODE)
   set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
   set(SPLASH ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
   set(EXEC ${APP_HARDCODE})
+  install(PROGRAMS app/lomiri-calculator-app-migrate.py DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
   configure_file(app/${APP_HARDCODE}.in
     ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}

=== debian/changelog ===
lomiri-calculator-app (4.0.2-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Add Upstream-Contact: field to global header.
  * debian/patches:
    + Add 2002_hide-app-if-not-in-lomiri.patch. Hide app if not in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:58:43 +0100

lomiri-calculator-app (4.0.2-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 2001_ignore-autopilot.patch. Skip building tests/ folder.
  * debian/control:
    + Drop from B-D: python3, python3-distutils, npm. (Closes: #1065899).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Jul 2024 20:58:26 +0200

lomiri-calculator-app (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 00:28:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,9 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gettext,
-               python3,
-               python3-distutils,
                qtbase5-dev,
                qtdeclarative5-dev,
-               npm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	dh_auto_configure -- -DCLICK_MODE=OFF
 
 override_dh_install:
+	# Drop Ubuntu Touch specific migration script
+	rm debian/lomiri-calculator-app/usr/share/lomiri-calculator-app/lomiri-calculator-app-migrate.py
 	dh_install
 
 	# drop autopilot test files

## lomiri-calculator-app 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calculator-app VERSION 4.0.2)
+project(lomiri-calculator-app VERSION 4.1.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -14,7 +14,6 @@
 
 #automatically create moc files
 set(CMAKE_AUTOMOC ON)
-
 
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" on)
@@ -32,10 +31,10 @@
 
 if(CLICK_MODE)
   set(CMAKE_INSTALL_PREFIX "/")
-  set(LOMIRI-CALCULATOR-APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")
 
   set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(EXEC "lomiri-calculator-app-migrate.py qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
+  # Not FULL because under APP_DIR
+  set(EXEC "lomiri-calculator-app-migrate.py ${CMAKE_INSTALL_BINDIR}/${APP_HARDCODE} $@")
   if(NOT BZR_REVNO)
     execute_process(
       COMMAND bzr revno
@@ -49,13 +48,14 @@
     message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
   endif(NOT BZR_SOURCE)
 else(CLICK_MODE)
-  set(LOMIRI-CALCULATOR-APP_DIR "${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE}")
   execute_process(
     COMMAND qmake -query QT_INSTALL_QML
             OUTPUT_VARIABLE QT_IMPORTS_DIR
             OUTPUT_STRIP_TRAILING_WHITESPACE
   )
 endif(CLICK_MODE)
+
+set(LOMIRI-CALCULATOR-APP_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${APP_HARDCODE}")
 
 if(CLICK_MODE)
   message("-- Configuring manifest.json")
@@ -73,14 +73,10 @@
   set(ICON ${ICON_FILE})
   set(SPLASH ${SPLASH_FILE})
 else(CLICK_MODE)
-  set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
-  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
+  set(ICON ${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
+  set(SPLASH ${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
   set(EXEC ${APP_HARDCODE})
   install(PROGRAMS app/lomiri-calculator-app-migrate.py DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
-  configure_file(app/${APP_HARDCODE}.in
-    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-    DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif(CLICK_MODE)
 
 install(FILES app/${ICON_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/graphics)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,32 @@
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  file(GLOB QML_JS_FILES *.qml *.js)
+  file(GLOB_RECURSE QML_JS_FILES *.qml *.js)
   add_custom_target(lomiri-calculator-app_QMlFiles ALL SOURCES ${QML_JS_FILES})
 endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
+
+list(APPEND ${APP_HARDCODE}_SRCS
+  main.cpp
+  ${QML_JS_FILES}
+)
+
+configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
+
+list(APPEND ${APP_HARDCODE}_SRCS
+  ${CMAKE_CURRENT_BINARY_DIR}/config.h
+)
+
+add_executable(${APP_HARDCODE} ${${APP_HARDCODE}_SRCS})
+
+target_include_directories(${APP_HARDCODE} PRIVATE
+  ${CMAKE_CURRENT_BINARY_DIR}
+)
+
+target_link_libraries(${APP_HARDCODE} PUBLIC
+  Qt5::Core
+  Qt5::Qml
+  Qt5::Quick
+)
+
+install(TARGETS ${APP_HARDCODE} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 if(CLICK_MODE)
   install(FILES ${ICON_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})

=== tests/CMakeLists.txt ===
if(NOT CLICK_MODE)
    add_subdirectory(autopilot)
endif(NOT CLICK_MODE)

=== app/engine/CMakeLists.txt ===
file(GLOB ENGINE_QML_JS_FILES *.qml *.js)

# Make the files visible in the qtcreator tree
add_custom_target(lomiri-calculator-app_engine_QMlFiles ALL SOURCES ${ENGINE_QML_JS_FILES})

install(FILES ${ENGINE_QML_JS_FILES} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/engine)

#set(MATH_JS "${CMAKE_SOURCE_DIR}/node_modules/mathjs/dist/math.js")
#add_custom_target(npm ALL
#  COMMENT "Npm install math.js"
#  COMMAND npm install
#  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
#)

#install(FILES ${MATH_JS} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/engine)

=== app/upstreamcomponents/CMakeLists.txt ===
file(GLOB UPSTREAMCOMPONENTS_QML_JS_FILES *.qml *.js)

# Make the files visible in the qtcreator tree
add_custom_target(lomiri-calculator-app_upstreamcomponents_QMlFiles ALL SOURCES ${UPSTREAMCOMPONENTS_QML_JS_FILES})

install(FILES ${UPSTREAMCOMPONENTS_QML_JS_FILES} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/upstreamcomponents)

=== debian/changelog ===
lomiri-calculator-app (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    +  Mark patch 2001_ignore-autopilot.patch as Debian-specific.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/control:
    + Drop from D: qmlscene.
    + Mark arch:any, app is a C++ app now.
  * debian/coypright:
    + Update copyright attributions.
  * debian/rules:
    + Enable all hardening flags.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 12:21:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
                gettext,
                qtbase5-dev,
                qtdeclarative5-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calculator-app
 
 Package: lomiri-calculator-app
-Architecture: all
-Depends: qmlscene,
-         qml-module-qtquick2,
+Architecture: any
+Depends: qml-module-qtquick2,
          qml-module-lomiri-components,
          qml-module-qtquick-controls2-suru,
-         ${misc:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends},
 Description: Calculator App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 
 %:
 	dh $@
